WTF(6)

NAME
wtf - look up terms

SYNOPSIS
wtf [-f dbfile] [-o] [is] term ...

DESCRIPTION
The wtf utility looks up the meaning of one or more term operands specified on the command line.

term will first be searched for as an acronym in the acronym databases, which are expected to be in the format “acronym[tab]meaning”. If no match has been found, wtf will check to see if the term is known by whatis(1), pkg_info(1), or, when called from within a pkgsrc package directory, pkgsrc's internal help facility, “make help topic=XXX”.

The optional is operand will be ignored, allowing the fairly natural “wtf is WTF” usage.

The following option is available:

-f dbfile
    Overrides the default list of acronym databases, bypassing the value of the ACRONYMDB variable. Unlike this variable the -f option only accepts one file name as an argument, but it may be given multiple times to specify more than one file to use.

-o  Include acronyms that could be considered offensive to some. Please consult fortune(6) for more information about the -o flag.

ENVIRONMENT

ACRONYMDB
    The default list of acronym databases may be overridden by setting the environment variable ACRONYMDB to the name of one or more space-separated file names of acronym databases.

FILES
/usr/share/misc/acronyms
    default acronym database.
/usr/share/misc/acronyms-o
    default offensive acronym database.
/usr/share/misc/acronyms.comp
    default computer-related acronym database.

SEE ALSO
make(1), pkg_info(1), whatis(1), fortune(6)

HISTORY
wtf first appeared in NetBSD 1.5. Initially it only translated acronyms; functionality to look up the meaning of terms in other sources was added later.